Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.paramlist
Class ParamList

    java.lang.Object
      jet.server.api.paramlist.ParamList

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ReportParamList, SheetParamList

    public abstract class ParamList

extends java.lang.Object
implements java.io.Serializable

The ParamList object contains all saved parameter values of report or report sheet or LC in Dashboard.

- saved parameter value list contains 2 levels, they are report level and sheet level.
- report level is a report parameter value list
- sheet level is a report sheet parameter value list or LC in Dashboard parameter value list
- It represent the XML <ParameterListXXX>(deprecated since V11.1Update1) or <ReportParamList>(since V11.1Update1) or <SheetParamList>(since V11.1Update1);

Since:
  V11.1Update1
See Also:
  Serialized Form

Constructor Summary
`ParamList()`

Method Summary
`void` | `addParamValue(ParamValue paramValue)` Add saved parameter value object.
`java.lang.String` | `get(java.lang.String attributeName)` Get other properties of current report or sheet
`java.util.Map<java.lang.String,java.lang.String>` | `getAttributes()` Get other properties of current report or sheet.
`java.lang.String` | `getName()` Get the name of saved parameter value list
`ParamValue` | `getParamValue(java.lang.String paramName)` Get parameter value object by specified parameter name.
`java.util.Map<java.lang.String,ParamValue>` | `getParamValueMap()` this is a map of above paramValues prop.
`java.util.List<ParamValue>` | `getParamValues()` Get saved parameter values which are corresponding with <para>(deprecated since V11.1Update1) or <Param> nodes.
`boolean` | `isParamValuesEquals(java.util.List<ParamValue> thatParamValues)` Check whether this parameter values equals with that parameter values specified by thatParamValues
`void` | `set(java.lang.String attributeName, java.lang.String attributeValue)` Set other properties of current report or sheet
`void` | `setAttributes(java.util.Map<java.lang.String,java.lang.String> properties)` Get other properties of current report or sheet.
`void` | `setName(java.lang.String name)` Set the name of saved parameter value list
`void` | `setParamValues(java.util.List<ParamValue> paramValues)` Set saved parameter values which are corresponding with <para>(deprecated since V11.1Update1) or <Param> nodes.
`int` | `sizeOfParamValues()` evaluate size of parameter values.
`java.util.List<ParamValue>` | `sort(java.lang.String currentParamName, java.lang.String[] sortedParamNames)` Sort ParamValue list for specified parameter, used to build drop down list in parameter UI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamList

    public ParamList()

Method Detail

### getParamValues

    public java.util.List<ParamValue> getParamValues()

  Get saved parameter values which are corresponding with <para>(deprecated since V11.1Update1) or <Param> nodes.

  Returns:
    ParamValue list

### setParamValues

    public void setParamValues(java.util.List<ParamValue> paramValues)

  Set saved parameter values which are corresponding with <para>(deprecated since V11.1Update1) or <Param> nodes.

  Parameters:
    `paramValues` -

### addParamValue

    public void addParamValue(ParamValue paramValue)

  Add saved parameter value object.

  The parameter value will be save to <Param> node in XML file.

  Parameters:
    `paramValue` - Saved parameter value object.

### getParamValueMap

    public java.util.Map<java.lang.String,ParamValue> getParamValueMap()

  this is a map of above paramValues prop. key is parameter name.

  So, this map will not be effort after calling getParamValuesMap firstly if paramValues changed.

### sizeOfParamValues

    public int sizeOfParamValues()

  evaluate size of parameter values.

  Returns:

### getParamValue

    public ParamValue getParamValue(java.lang.String paramName)

  Get parameter value object by specified parameter name.

  Parameters:
    `paramName` - specified parameter name
  Returns:
    parameter value object.

### getName

    public java.lang.String getName()

  Get the name of saved parameter value list

  For report level parameter value list:

  - It is corresponding with tag name of <ParameterListXXX>(deprecated since V11.1Update1).
  - It is corresponding with "name" attribute of <ReportParamList>(since V11.1Update1) node if this object is a report level parameter value list.
  - manual type: name can NOT be empty.
  - auto type: name will be automatically generated in implements of ParameterRecorder.saveReportParamList when calling save methods.
  - auto type: name will be set to "name" attribute of <ReportParamList>(since V11.1Update1) or tag name of <ParameterListXXX>(deprecated since V11.1Update1) in implements of ParameterRecorder when calling get or query methods.
  - user defined default: name will be never empty.

  For sheet level parameter value list:

  - It is sheet name.
  - It is corresponding with "name" attribute of < SheetParamList> node if this object is a sheet level parameter value list.

### setName

    public void setName(java.lang.String name)

  Set the name of saved parameter value list

  For report level parameter value list:

  - It is corresponding with tag name of <ParameterListXXX>(deprecated since V11.1Update1).
  - It is corresponding with "name" attribute of <ReportParamList>(since V11.1Update1) node if this object is a report level parameter value list.
  - manual type: name can NOT be empty.
  - auto type: name will be automatically generated in implements of ParameterRecorder.saveReportParamList when calling save methods.
  - auto type: name will be set to "name" attribute of <ReportParamList> or tag name of <ParameterListXXX>(deprecated since V11.1Update1) in implements of ParameterRecorder when calling get or query methods.
  - user defined default: name will be never empty.

  For sheet level parameter value list:

  - It is sheet name.
  - It is corresponding with "name" attribute of < SheetParamList> node if this object is a sheet level parameter value list.

### getAttributes

    public java.util.Map<java.lang.String,java.lang.String> getAttributes()

  Get other properties of current report or sheet.

  They are corresponding with other attributes of <ReportParamList> or <SheetParamList> node

### setAttributes

    public void setAttributes(java.util.Map<java.lang.String,java.lang.String> properties)

  Get other properties of current report or sheet.

  They are corresponding with other attributes of <ReportParamList> or <SheetParamList> node and will be saved into XML file.

  Parameters:
    `properties` -

### get

    public java.lang.String get(java.lang.String attributeName)

  Get other properties of current report or sheet

  attributeName will be regard as attribute name of XML node(<ReportParamList> or <SheetParamList>), such as: "locale" etc.

  return value will be attribute value of XML node(<ReportParamList> or <SheetParamList>), such as: locale = "en_US"

  such as: <<ReportParamList locale="en_US">

  Parameters:
    `attributeName` - attribute name will be regard as attribute name of XML node(<ReportParamList> or <SheetParamList>), such as: "locale" etc.
  Returns:
    attribute value of specified attribute name in XML node(<ReportParamList> or <SheetParamList>), such as get "locale" return "en_US"

### set

    public void set(java.lang.String attributeName,
                    java.lang.String attributeValue)

  Set other properties of current report or sheet

  attributeName will be regard as attribute name of XML node(<ReportParamList> or <SheetParamList>), such as "locale" etc.

  attributeValue will be regard as attribute value of XML node(<ReportParamList> or <SheetParamList>), such as locale is "en_US"

  such as: <ReportParamList locale="en_US">

  Parameters:
    `attributeName` - attribute name will be regard as attribute name of XML node(<ReportParamList> or <SheetParamList>), such as "locale" etc.
    `attributeValue` - attribute value will be regard as attribute value of XML node(<ReportParamList> or <SheetParamList>), such as locale is "en_US"

### sort

    public java.util.List<ParamValue> sort(java.lang.String currentParamName,
                                           java.lang.String[] sortedParamNames)

  Sort ParamValue list for specified parameter, used to build drop down list in parameter UI.

  The parameter specified currentParamName should be show in first column, others will be order by sortedParamNames.

  Parameters:
    `currentParamName` - the name of current parameter when building combobox UI.
    `sortedParamNames` - the sorted parameter names of the current running report, contains current parameter name.
  Returns:
    return sorted ParamValue list.

### isParamValuesEquals

    public boolean isParamValuesEquals(java.util.List<ParamValue> thatParamValues)

  Check whether this parameter values equals with that parameter values specified by thatParamValues

  Parameters:
    `thatParamValues` - that parameter values specified by thatParamValues
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD